package cs108.observer;

import java.util.Arrays;
import java.util.List;

import javax.swing.SwingUtilities;

import cs108.observer.gui.Spreadsheet;

public final class Main2 {
	public static void main(String[] args) {
		Cell A1 = new ValueCell("A1", 10);
		Cell A2 = new ValueCell("A2", 1);
		Cell A3 = new ValueCell("A3", 0);

		Cell B1 = new DiffCell("B1", A1, A2);
		Cell B2 = new DiffCell("B2", A1, B1);
		Cell B3 = new DivCell("B3", A2, B2);

		Cell C1 = new ValueCell("C1", 0);
		Cell C2 = new ValueCell("C2", 0);
		Cell C3 = new ValueCell("C3", 0);

		List<Cell> cells = Arrays.asList(
				A1, B1, C1,
				A2, B2, C2,
				A3, B3, C3);
		Spreadsheet spreadsheet = new Spreadsheet(cells);

		// La ligne suivante est en gros équivalente à : spreadsheet.createUI();
		SwingUtilities.invokeLater(spreadsheet::createUI);
	}
}
